# Tax Exemption Failure Events

Tax Exemption Failure Events

Endpoint: POST Tax exemption failure events
Version: 1.156.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Type of the tax exemption failure events webhook.
* TAX_EXEMPTION.CREATION_FAILED - Tax exemption creation failed.
* TAX_EXEMPTION.UPDATE_FAILED - Tax exemption update failed.
* TAX_EXEMPTION.DELETION_FAILED - Tax exemption deletion failed.
    Enum: "TAX_EXEMPTION.CREATION_FAILED", "TAX_EXEMPTION.UPDATE_FAILED", "TAX_EXEMPTION.DELETION_FAILED"

  - `object` (object, required)

  - `object.id` (string, required)
    The unique identifier of the tax exemption order, as a UUID.

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.reason` (string, required)
    Reason for the failure of the tax exemption request.

  - `object.status` (string, required)
    Tax exemption status
* NEW - The tax exemption request is created.
* ACTIVE - The tax exemption is valid and active for the current year.
* EXPIRED - The tax exemption is no longer `ACTIVE` and the `valid_to_date` already lies in the past. An update is not possible.
* CANCELLED - The tax exemption could not be created or was cancelled.
    Enum: "NEW", "ACTIVE", "EXPIRED", "CANCELLED"

  - `object.user_ids` (array, required)
    Ids of the users for whom the tax exemption was created.

  - `webhook_id` (string, required)
    Webhook unique identifier.

## Request examples:

  - `Tax Exemption Created` (unknown)

  - `Tax Exemption Updated` (unknown)

  - `Tax Exemption Deleted` (unknown)

## Response 200:

  - `200` (unknown)
    Request has been processed successfully.

